Open CASCADE Technology: Extrema_ExtPC2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
Extrema_ExtPC2d Class Reference

`#include <Extrema_ExtPC2d.hxx>`

## Public Member Functions
| Extrema_ExtPC2d ()
| Extrema_ExtPC2d (const gp_Pnt2d &P, const Adaptor2d_Curve2d &C, const Standard_Real Uinf, const Standard_Real Usup, const Standard_Real TolF=1.0e-10)
| Extrema_ExtPC2d (const gp_Pnt2d &P, const Adaptor2d_Curve2d &C, const Standard_Real TolF=1.0e-10)
void | Initialize (const Adaptor2d_Curve2d &C, const Standard_Real Uinf, const Standard_Real Usup, const Standard_Real TolF=1.0e-10)
void | Perform (const gp_Pnt2d &P)
Standard_Boolean | IsDone () const
Standard_Real | SquareDistance (const Standard_Integer N) const
Standard_Integer | NbExt () const
Standard_Boolean | IsMin (const Standard_Integer N) const
const Extrema_POnCurv2d & | Point (const Standard_Integer N) const
void | TrimmedSquareDistances (Standard_Real &dist1, Standard_Real &dist2, gp_Pnt2d &P1, gp_Pnt2d &P2) const

## Protected Member Functions
void | IntervalPerform (const gp_Pnt2d &P)

## Constructor & Destructor Documentation

Extrema_ExtPC2d::Extrema_ExtPC2d | ( |  | ) |

Extrema_ExtPC2d::Extrema_ExtPC2d | ( | const gp_Pnt2d & | P,
|  | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup,
|  | const Standard_Real | TolF = `1.0e-10`
| ) |  |

Extrema_ExtPC2d::Extrema_ExtPC2d | ( | const gp_Pnt2d & | P,
|  | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | TolF = `1.0e-10`
| ) |  |

## Member Function Documentation

void Extrema_ExtPC2d::Initialize | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup,
|  | const Standard_Real | TolF = `1.0e-10`
| ) |  |

void Extrema_ExtPC2d::IntervalPerform | ( | const gp_Pnt2d & | P | ) |
| protected

Standard_Boolean Extrema_ExtPC2d::IsDone | ( |  | ) | const

Standard_Boolean Extrema_ExtPC2d::IsMin | ( | const Standard_Integer | N | ) | const

Standard_Integer Extrema_ExtPC2d::NbExt | ( |  | ) | const

void Extrema_ExtPC2d::Perform | ( | const gp_Pnt2d & | P | ) |

const Extrema_POnCurv2d& Extrema_ExtPC2d::Point | ( | const Standard_Integer | N | ) | const

Standard_Real Extrema_ExtPC2d::SquareDistance | ( | const Standard_Integer | N | ) | const

void Extrema_ExtPC2d::TrimmedSquareDistances | ( | Standard_Real & | dist1,
|  | Standard_Real & | dist2,
|  | gp_Pnt2d & | P1,
|  | gp_Pnt2d & | P2
| ) |  | const

The documentation for this class was generated from the following file:

- Extrema_ExtPC2d.hxx